package com.dxhy.core.task;

import com.dxhy.core.service.singletable.IExcelExportlogService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

/**
 * @author Gy Chen
 * @date 2020/11/23
 */
@Component
@Slf4j
public class DelExportLogTask {

    @Resource
    IExcelExportlogService iExcelExportlogService;

    public void delExportLog() {
        log.info("删除导出记录开始---------------");
        try {
            iExcelExportlogService.deleteExportLog();
        } catch (Exception e) {
            e.printStackTrace();
            log.info("删除导出记录异常----------------");
        }
        log.info("删除导出记录结束----------------");
    }
}
